<!-- <div class="wrapper" *ngIf="sessionData == null">
  Loading...
</div> -->

<div class="wrapper">
  <header class="main-header" *ngIf="!sharedService.isFullScreen">

    <a href="#" class="logo">
      <!-- mini logo for sidebar mini 50x50 pixels -->
      <span class="logo-mini">
        <svg class="icon_logo" shape-rendering="geometricPrecision" class="user-image" width="30" height="30"
          style="fill: white; margin: 9px;">
          <use xlink:href="./assets/dist/img/icons.svg#icon_logo"></use>
        </svg>
      </span>
      <!-- logo for regular state and mobile devices -->
      <span class="logo-lg">
        <svg class="icon_logo" shape-rendering="geometricPrecision" class="user-image" width="50" height="50"
          style="fill: white">
          <use xlink:href="./assets/dist/img/icons.svg#icon_logo"></use>
        </svg> <span style="position: absolute;margin: 0px 5px;font-weight: bold;">DATA SYNC</span>
      </span>
    </a>

    <!-- Header Navbar: style can be found in header.less -->
    <nav class="navbar navbar-static-top">
      <!-- Sidebar toggle button-->
      <a href="#" class="sidebar-toggle" data-toggle="push-menu" role="button" style="padding: 20px">
        <svg class="icon_update" shape-rendering="geometricPrecision" width="25" height="25" style="fill: #FFFFFF">
          <use xlink:href="./assets/dist/img/icons.svg#icon_menu"></use>
        </svg>
      </a>
      <div class="navbar-custom-menu">
        <!-- <ul class="nav navbar-nav">
          <li class="dropdown user user-menu" *ngIf="LA_SessionData != ''">
            <a href="#" class="dropdown-toggle" data-toggle="dropdown">
              <svg class="icon_user_profile" shape-rendering="geometricPrecision" class="user-image" width="20"
                height="20">
                <use xlink:href="./assets/dist/img/icons.svg#icon_user_profile"></use>
              </svg>
              <ngx-avatar name="Karnesh Kumar"
                [src]="'http://cedprod.corp.netapp.com/photos/' + LA_SessionData.uid + '.jpg'" size="50"
                cornerRadius="5" style="position: relative;top: -7px;right: 5px;float: left">
              </ngx-avatar>
              <span class="label label-success">Login As</span>
              <span class="hidden-xs">{{LA_SessionData.firstName + ' ' + LA_SessionData.lastName}}</span>
            </a>
            <ul class="dropdown-menu">
              <li class="user-body">
                <a (click)="LALogout()">
                  <svg class="icon_logout" shape-rendering="geometricPrecision" width="20" height="20">
                    <use xlink:href="./assets/dist/img/icons.svg#icon_logout"></use>
                  </svg>
                  Log out
                </a>
              </li>
            </ul>
          </li>
          <li class="dropdown user user-menu" *ngIf="LA_SessionData == ''">
           
            <ul class="dropdown-menu">
              <li class="user-body">
                <a (click)="Logout()">
                  <svg class="icon_logout" shape-rendering="geometricPrecision" width="20" height="20">
                    <use xlink:href="./assets/dist/img/icons.svg#icon_logout"></use>
                  </svg>
                  Log out
                </a>
              </li>
            </ul>
          </li>
          <li class="messages-menu">
            <a href="#" class="dropdown-toggle" data-toggle="dropdown" style="padding: 20px">
              <svg class="icon_update" shape-rendering="geometricPrecision" width="25" height="25" style="fill: #FFFFFF">
                <use xlink:href="./assets/dist/img/icons.svg#icon_settings"></use>
              </svg>
            </a>
          </li>
        </ul> -->
        <ul class="nav navbar-nav">
          <li class="dropdown user user-menu" *ngIf="sharedService.laSession === ''">
            <a href="#" class="dropdown-toggle" data-toggle="dropdown">
              <ngx-avatar name="{{loginData.firstName + ' ' + loginData.lastName}}"
                [src]="'http://cedprod.corp.netapp.com/photos/' + loginData.userId + '.jpg'" size="35" cornerRadius="5"
                class="profile-icon">
              </ngx-avatar>
              <span class="hidden-xs">{{loginData.firstName + ' ' + loginData.lastName}}</span>
            </a>
            <ul class="dropdown-menu">
              <li class="user-body">
                <a (click)="Logout()">
                  <svg class="icon_logout" shape-rendering="geometricPrecision" width="20" height="20">
                    <use xlink:href="./assets/dist/img/icons.svg#icon_logout"></use>
                  </svg>
                  Log out
                </a>
              </li>
            </ul>
          </li>
          <li class="dropdown user user-menu" *ngIf="sharedService.laSession !== ''">
            <a href="#" class="dropdown-toggle" data-toggle="dropdown">
              <small class="label bg-green">LOGIN AS</small>
              <ngx-avatar name="{{sharedService.laSession.firstName + ' ' + sharedService.laSession.lastName}}"
                [src]="'http://cedprod.corp.netapp.com/photos/' + sharedService.laSession.userId + '.jpg'" size="35"
                cornerRadius="5" class="profile-icon">
              </ngx-avatar>
              <span
                class="hidden-xs">{{sharedService.laSession.firstName + ' ' + sharedService.laSession.lastName}}</span>
            </a>
            <ul class="dropdown-menu">
              <li class="user-body">
                <a (click)="laLogout()">
                  <svg class="icon_logout" shape-rendering="geometricPrecision" width="20" height="20">
                    <use xlink:href="./assets/dist/img/icons.svg#icon_logout"></use>
                  </svg>
                  Log out
                </a>
              </li>
            </ul>
          </li>
        </ul>
      </div>
    </nav>
  </header>
  <!-- Left side column. contains the logo and sidebar -->
  <aside class="main-sidebar" *ngIf="!sharedService.isFullScreen">
    <!-- sidebar: style can be found in sidebar.less -->
    <section class="sidebar">
      <!-- sidebar menu: : style can be found in sidebar.less -->
      <ul class="sidebar-menu" data-widget="tree">


        <li [routerLinkActive]="['active']" *ngFor="let item of appMenu" class="treeview">
          <a [routerLink]="[item.url]" *ngIf="item.submenu.length == 0">
            <svg [attr.class]="item.icon" shape-rendering="geometricPrecision" width="20" height="20">
              <use [attr.xlink:href]="'./assets/dist/img/icons.svg#' + item.icon"></use>
            </svg> <span>&nbsp;{{item.name}}</span>

          </a>
          <a href="#" *ngIf="item.submenu.length > 0">
            <svg [attr.class]="item.icon" shape-rendering="geometricPrecision" width="20" height="20">
              <use [attr.xlink:href]="'./assets/dist/img/icons.svg#' + item.icon"></use>
            </svg> <span>&nbsp;{{item.name}}</span>
            <span class="pull-right-container">
              <i class="fa fa-angle-left pull-right"></i>
            </span>
          </a>
          <ul class="treeview-menu" *ngIf="item.submenu.length > 0">
            <li *ngFor="let menuitem of item.submenu" class="treeview">
              <a [routerLink]="[menuitem.url]">
                <svg [attr.class]="menuitem.icon" shape-rendering="geometricPrecision" width="20" height="20">
                  <use [attr.xlink:href]="'./assets/dist/img/icons.svg#' + menuitem.icon"></use>
                </svg> <span>&nbsp;{{menuitem.name}}</span>
              </a>
            </li>
          </ul>
        </li>
        <li class="treeview" style="display:none">
          <a href="#">
            <svg shape-rendering="geometricPrecision" width="20" height="20">
              <use href="./assets/dist/img/icons.svg#icon_rules"></use>
            </svg> <span>Account Ownership</span> <span class="pull-right-container">
              <i class="fa fa-angle-left pull-right"></i>
            </span>
          </a>
        </li>
      </ul>
      <div class="sidebar-footer hidden-small">
        <a (click)="OpenSettings()" *ngIf="sharedService.settingPermission">
          <span class="glyphicon glyphicon-cog" aria-hidden="true" style="color:#0067C5"></span> Settings
        </a>
      </div>
    </section>
    <!-- /.sidebar -->
  </aside>
  <!-- Content Wrapper. Contains page content -->
  <div [ngClass]="{'fullscreen': sharedService.isFullScreen}" class="content-wrapper" style="min-height: 617px;">
    <router-outlet></router-outlet>
    <app-tour-guide></app-tour-guide>
    <!-- /.content -->
  </div>
  <!-- /.content-wrapper -->
  <!-- <footer class="main-footer">
    <strong>Copyright &copy; 2018&nbsp;<a href="https://netapp.com" class="text-orange">NetApp Auth</a>.</strong>
    All rights reserved.
  </footer> -->]
</div>